%define name xmms-dumb
%define oname dumb-xmms
%define version 0.1
%define release %mkrel 9

Summary: MOD player plugin for XMMS based on DUMB
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/dumb/%{oname}-%{version}.tar.bz2
Patch0: dumb-xmms-fpic.patch
License: GPLv2+
Group: Sound
Url: http://dumb.sf.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: dumb-devel
BuildRequires: xmms-devel
Requires: xmms

%description
This is a plugin for XMMS that can play IT/XM/S3M/MOD files.

%prep
%setup -q -n %oname
%apply_patches

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_libdir/xmms/Input
cp *.so %buildroot%_libdir/xmms/Input/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%_libdir/xmms/Input/*.so




%changelog
* Sat Aug 06 2011 Götz Waschk <waschk@mandriva.org> 0.1-9mdv2012.0
+ Revision: 693431
- rebuild

* Thu Aug 05 2010 Götz Waschk <waschk@mandriva.org> 0.1-8mdv2011.0
+ Revision: 566190
- fix build

* Tue Aug 04 2009 Götz Waschk <waschk@mandriva.org> 0.1-7mdv2010.0
+ Revision: 408670
- update license

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 0.1-6mdv2009.0
+ Revision: 262537
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.1-5mdv2009.0
+ Revision: 257250
- rebuild

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.1-3mdv2008.1
+ Revision: 130357
- kill re-definition of %%buildroot on Pixel's request


* Thu Jan 25 2007 Götz Waschk <waschk@mandriva.org> 0.1-3mdv2007.0
+ Revision: 113183
- rebuild
- Import xmms-dumb

* Sat Oct 07 2006 Götz Waschk <waschk@mandriva.org> 0.1-2mdv2007.1
- rebuild

* Fri Sep 30 2005 Götz Waschk <waschk@mandriva.org> 0.1-1mdk
- initial package

